PUT /finance/bank/statements/\{id\}/lines/\{lineId\}/move
PUT/finance/bank/statements/:id/lines/:lineId/move
PUT /finance/bank/statements/{id}/lines/{lineId}/move
Request
Path Parameters
id int64required
lineId int64required
Query Parameters
direction string
Default value: next
- application/json-patch+json
- application/json
- text/json
- application/*+json
Body
id int64nullable
description stringnullable
amount double
amount_original doublenullable
payment_amount doublenullable
date_transaction datenullable
date_accounting datenullable
currency stringnullable
payment_reference stringnullable
partner_account_number stringnullable
partner_name stringnullable
order int32nullable
contact
object
id int64nullable
business_name stringnullable
display_name stringnullable
reg_no stringnullable
vat_no stringnullable
tax_no stringnullable
address
object
name stringnullable
company stringnullable
address1 stringnullable
address2 stringnullable
postal_code stringnullable
city stringnullable
region stringnullable
country stringnullable
Possible values: <= 2 characters
email stringnullable
preferred_locale stringnullable
phone stringnullable
paid_record
object
id int64nullable
no stringnullable
type stringnullable
contact
object
id int64nullable
business_name stringnullable
raw_message stringnullable
gl_account
object
id int64nullable
number stringnullable
name stringnullable
description stringnullable
Body
id int64nullable
description stringnullable
amount double
amount_original doublenullable
payment_amount doublenullable
date_transaction datenullable
date_accounting datenullable
currency stringnullable
payment_reference stringnullable
partner_account_number stringnullable
partner_name stringnullable
order int32nullable
contact
object
id int64nullable
business_name stringnullable
display_name stringnullable
reg_no stringnullable
vat_no stringnullable
tax_no stringnullable
address
object
name stringnullable
company stringnullable
address1 stringnullable
address2 stringnullable
postal_code stringnullable
city stringnullable
region stringnullable
country stringnullable
Possible values: <= 2 characters
email stringnullable
preferred_locale stringnullable
phone stringnullable
paid_record
object
id int64nullable
no stringnullable
type stringnullable
contact
object
id int64nullable
business_name stringnullable
raw_message stringnullable
gl_account
object
id int64nullable
number stringnullable
name stringnullable
description stringnullable
Body
id int64nullable
description stringnullable
amount double
amount_original doublenullable
payment_amount doublenullable
date_transaction datenullable
date_accounting datenullable
currency stringnullable
payment_reference stringnullable
partner_account_number stringnullable
partner_name stringnullable
order int32nullable
contact
object
id int64nullable
business_name stringnullable
display_name stringnullable
reg_no stringnullable
vat_no stringnullable
tax_no stringnullable
address
object
name stringnullable
company stringnullable
address1 stringnullable
address2 stringnullable
postal_code stringnullable
city stringnullable
region stringnullable
country stringnullable
Possible values: <= 2 characters
email stringnullable
preferred_locale stringnullable
phone stringnullable
paid_record
object
id int64nullable
no stringnullable
type stringnullable
contact
object
id int64nullable
business_name stringnullable
raw_message stringnullable
gl_account
object
id int64nullable
number stringnullable
name stringnullable
description stringnullable
Body
id int64nullable
description stringnullable
amount double
amount_original doublenullable
payment_amount doublenullable
date_transaction datenullable
date_accounting datenullable
currency stringnullable
payment_reference stringnullable
partner_account_number stringnullable
partner_name stringnullable
order int32nullable
contact
object
id int64nullable
business_name stringnullable
display_name stringnullable
reg_no stringnullable
vat_no stringnullable
tax_no stringnullable
address
object
name stringnullable
company stringnullable
address1 stringnullable
address2 stringnullable
postal_code stringnullable
city stringnullable
region stringnullable
country stringnullable
Possible values: <= 2 characters
email stringnullable
preferred_locale stringnullable
phone stringnullable
paid_record
object
id int64nullable
no stringnullable
type stringnullable
contact
object
id int64nullable
business_name stringnullable
raw_message stringnullable
gl_account
object
id int64nullable
number stringnullable
name stringnullable
description stringnullable
Responses
- 200
OK
Loading...